Subject: Re: [RFC V2 net-next 0/3] ethtool: extend coalesce uAPI

From: Jesse Brandeburg <[email-masked]>
Date: Tue, 1 Jun 2021 11:14:36 -0700

Huazhong Tan wrote:

> In order to support some configuration in coalesce uAPI, this RFC
> extends coalesce uAPI and add support for CQE mode.
> ...

> 3. ethool(netlink with cqe mode) + kernel with cqe mode:
> estuary:/$ ethtool -c eth0
> Coalesce parameters for eth0:
> Adaptive RX: on  TX: on
> stats-block-usecs: n/a
> sample-interval: n/a
> pkt-rate-low: n/a
> pkt-rate-high: n/a
> 
> rx-usecs: 20
> rx-frames: 0
> rx-usecs-irq: n/a
> rx-frames-irq: n/a
> 
> tx-usecs: 20
> tx-frames: 0
> tx-usecs-irq: n/a
> tx-frames-irq: n/a
> 
> rx-usecs-low: n/a
> rx-frame-low: n/a
> tx-usecs-low: n/a
> tx-frame-low: n/a
> 
> rx-usecs-high: 0
> rx-frame-high: n/a
> tx-usecs-high: 0
> tx-frame-high: n/a
> 
> CQE mode RX: off  TX: off

BTW, thanks for working on something like this.
I hope it's not just me, but I don't like the display of the new CQE
line, at the very least, it's not consistent with what is there already
in the output of this command, and at worst, it surprises the user and
makes it hard to parse for any scripting tools.

Can I suggest something like:

rx-cqe: off
tx-cqe: off
rx-eqe: off
tx-eqe: off

Then, if hardware is in EQE mode it is clear that it's supported and
ON/OFF, as well as for CQE mode.

-Jesse